From 79d8bb20012f4e54e6bcabf0f64556e8a582ed31 Mon Sep 17 00:00:00 2001
From: Hari Babu <kommi.haribabu@gmail.com>
Date: Tue, 7 Aug 2018 19:35:37 +1000
Subject: [PATCH] Dump Event trigger extension dependency

The event trigger that are added through the extension
are getting dropped their dependency on extension when
the PostgreSQL version is upgraded to newer version.
---
 src/bin/pg_dump/pg_dump.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/bin/pg_dump/pg_dump.c b/src/bin/pg_dump/pg_dump.c
index 20e8aedb19..7caf868744 100644
--- a/src/bin/pg_dump/pg_dump.c
+++ b/src/bin/pg_dump/pg_dump.c
@@ -17301,6 +17301,9 @@ dumpEventTrigger(Archive *fout, EventTriggerInfo *evtinfo)
 
 	appendPQExpBuffer(delqry, "DROP EVENT TRIGGER %s;\n",
 					  qevtname);
+	if (dopt->binary_upgrade)
+		binary_upgrade_extension_member(query, &evtinfo->dobj,
+										"EVENT TRIGGER", evtinfo->dobj.name, NULL);
 
 	if (evtinfo->dobj.dump & DUMP_COMPONENT_DEFINITION)
 		ArchiveEntry(fout, evtinfo->dobj.catId, evtinfo->dobj.dumpId,
-- 
2.18.0.windows.1

